xn::ModulePlayer Class Referenceabstract

`#include <XnModuleCppInterface.h>`

Inheritance diagram for xn::ModulePlayer:
[legend]

## Public Member Functions

virtual | ~ModulePlayer ()
virtual XnStatus | SetInputStream (void *pStreamCookie, XnPlayerInputStreamInterface *pStream)=0
virtual XnStatus | ReadNext ()=0
virtual XnStatus | SetNodeNotifications (void *pNodeNotificationsCookie, XnNodeNotifications *pNodeNotifications)=0
virtual XnStatus | SetRepeat (XnBool bRepeat)=0
virtual XnStatus | SeekToTimeStamp (XnInt64 nTimeOffset, XnPlayerSeekOrigin origin)=0
virtual XnStatus | SeekToFrame (const XnChar *strNodeName, XnInt32 nFrameOffset, XnPlayerSeekOrigin origin)=0
virtual XnStatus | TellTimestamp (XnUInt64 &nTimestamp)=0
virtual XnStatus | TellFrame (const XnChar *strNodeName, XnUInt32 &nFrame)=0
virtual XnUInt32 | GetNumFrames (const XnChar *strNodeName, XnUInt32 &nFrames)=0
virtual const XnChar * | GetSupportedFormat ()=0
virtual XnBool | IsEOF ()=0
virtual XnStatus | RegisterToEndOfFileReached (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromEndOfFileReached (XnCallbackHandle hCallback)=0
Public Member Functions inherited from xn::ModuleProductionNode
virtual | ~ModuleProductionNode ()
virtual XnBool | IsCapabilitySupported (const XnChar *)
virtual XnStatus | SetIntProperty (const XnChar *, XnUInt64)
virtual XnStatus | SetRealProperty (const XnChar *, XnDouble)
virtual XnStatus | SetStringProperty (const XnChar *, const XnChar *)
virtual XnStatus | SetGeneralProperty (const XnChar *, XnUInt32, const void *)
virtual XnStatus | GetIntProperty (const XnChar *, XnUInt64 &) const
virtual XnStatus | GetRealProperty (const XnChar *, XnDouble &) const
virtual XnStatus | GetStringProperty (const XnChar *, XnChar *, XnUInt32) const
virtual XnStatus | GetGeneralProperty (const XnChar *, XnUInt32, void *) const
virtual ModuleExtendedSerializationInterface * | GetExtendedSerializationInterface ()
virtual ModuleLockAwareInterface * | GetLockAwareInterface ()
virtual ModuleErrorStateInterface * | GetErrorStateInterface ()
virtual ModuleGeneralIntInterface * | GetGeneralIntInterface (const XnChar *)

## Constructor & Destructor Documentation

## ~ModulePlayer()

virtual xn::ModulePlayer::~ModulePlayer | ( |  | ) |

inline virtual

## Member Function Documentation

## GetNumFrames()

virtual XnUInt32 xn::ModulePlayer::GetNumFrames | ( | const XnChar * | strNodeName,
|  | XnUInt32 & | nFrames )

pure virtual

## GetSupportedFormat()

virtual const XnChar * xn::ModulePlayer::GetSupportedFormat | ( |  | ) |

pure virtual

## IsEOF()

virtual XnBool xn::ModulePlayer::IsEOF | ( |  | ) |

pure virtual

## ReadNext()

virtual XnStatus xn::ModulePlayer::ReadNext | ( |  | ) |

pure virtual

## RegisterToEndOfFileReached()

virtual XnStatus xn::ModulePlayer::RegisterToEndOfFileReached | ( | XnModuleStateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## SeekToFrame()

virtual XnStatus xn::ModulePlayer::SeekToFrame | ( | const XnChar * | strNodeName,
|  | XnInt32 | nFrameOffset,
|  | XnPlayerSeekOrigin | origin )

pure virtual

## SeekToTimeStamp()

virtual XnStatus xn::ModulePlayer::SeekToTimeStamp | ( | XnInt64 | nTimeOffset,
|  | XnPlayerSeekOrigin | origin )

pure virtual

## SetInputStream()

virtual XnStatus xn::ModulePlayer::SetInputStream | ( | void * | pStreamCookie,
|  | XnPlayerInputStreamInterface * | pStream )

pure virtual

## SetNodeNotifications()

virtual XnStatus xn::ModulePlayer::SetNodeNotifications | ( | void * | pNodeNotificationsCookie,
|  | XnNodeNotifications * | pNodeNotifications )

pure virtual

## SetRepeat()

virtual XnStatus xn::ModulePlayer::SetRepeat | ( | XnBool | bRepeat | ) |

pure virtual

## TellFrame()

virtual XnStatus xn::ModulePlayer::TellFrame | ( | const XnChar * | strNodeName,
|  | XnUInt32 & | nFrame )

pure virtual

## TellTimestamp()

virtual XnStatus xn::ModulePlayer::TellTimestamp | ( | XnUInt64 & | nTimestamp | ) |

pure virtual

## UnregisterFromEndOfFileReached()

virtual void xn::ModulePlayer::UnregisterFromEndOfFileReached | ( | XnCallbackHandle | hCallback | ) |

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h